<?php
/**
* イベントのキューのエントリを扱うクラス
*
* PHP version 5
*
* @package    core
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class EventQueueEntry 
{
	private $_target;		// ディスパッチ対象のタスク
	private $_event;		// ディスパッチ対象のイベント

	/*
	 *	コンストラクタ
	 */
	public function __construct( $target, $event )
	{
		$this->_target  = $target;
		$this->_event   = $event;
	}

	/*
	 * ターゲットタスク名を取得
	 *
	 */
	public function getTarget()
	{
		return $this->_target;
	}

	/*
	 * イベントを取得
	 *
	 */
	public function getEvent()
	{
		return $this->_event;
	}
}
